from dishka import BaseScope, Provider, Scope, provide_all

from template_project.application.resume.interactors.predict_model import PredictModelInteractor


class InteractorProvider(Provider):
    scope: BaseScope | None = Scope.REQUEST

    interactors = provide_all(
        PredictModelInteractor,
    )
